using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    [DataContract]
    public class Utilisateur
    {
        [DataMember]
        public string Username { get; private set; }
        [DataMember]
        public string Password { get; private set; }
        [DataMember]
        public List<Strategie> _strat { get; private set; }

        public Utilisateur(string username, string password, List<Strategie> strat)
        {
            Username = username;
            Password = password;
            _strat = strat;
        }

        public Utilisateur(string username,string password)
        {   Username = username;
            Password = password;
            _strat = new List<Strategie>();
        }


        public void AddStrategie(Strategie strat)
        {
            _strat.Add(strat);
        }

        public void RemoveStrategie(Strategie strat)
        {
            _strat.Remove(strat);
        }
    }
}
